| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Abstract.ButtonBox

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Methods
Attributes
Child Attributes

Description
Base class for `HButtonBox` and `VButtonBox`
Synopsis

data ButtonBox
class BoxClass o => ButtonBoxClass o
castToButtonBox :: GObjectClass obj => obj -> ButtonBox
toButtonBox :: ButtonBoxClass o => o -> ButtonBox

data ButtonBoxStyle

= ButtonboxDefaultStyle
| ButtonboxSpread
| ButtonboxEdge
| ButtonboxStart
| ButtonboxEnd
| ButtonboxCenter

buttonBoxGetLayout :: ButtonBoxClass self => self -> IO ButtonBoxStyle
buttonBoxSetLayout :: ButtonBoxClass self => self -> ButtonBoxStyle -> IO ()
buttonBoxSetChildSecondary :: (ButtonBoxClass self, WidgetClass child) => self -> child -> Bool -> IO ()
buttonBoxGetChildSecondary :: (ButtonBoxClass self, WidgetClass child) => self -> child -> IO Bool
buttonBoxLayoutStyle :: ButtonBoxClass self => Attr self ButtonBoxStyle
buttonBoxChildSecondary :: (ButtonBoxClass self, WidgetClass child) => child -> Attr self Bool

Detail

The primary purpose of this class is to keep track of the various properties of `HButtonBox` and `VButtonBox` widgets.

buttonBoxGetChildSize retrieves the minimum width and height for widgets in a given button box. buttonBoxSetChildSize allows those properties to be changed.

The internal padding of buttons can be retrieved and changed per button box using buttonBoxGetChildIpadding and buttonBoxSetChildIpadding respectively.

buttonBoxGetSpacing and buttonBoxSetSpacing retrieve and change default number of pixels between buttons, respectively.

`buttonBoxGetLayout` and `buttonBoxSetLayout` retrieve and alter the method used to spread the buttons in a button box across the container, respectively.

The main purpose of `ButtonBox` is to make sure the children have all the same size. Therefore it ignores the homogeneous property which it inherited from `Box`, and always behaves as if homogeneous was `True`.

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Box
     |                           +----ButtonBox
     |                                 +----HButtonBox
     |                                 +----VButtonBox

Types
data ButtonBox

Instances

GObjectClass ButtonBox
ButtonBoxClass ButtonBox
BoxClass ButtonBox
ContainerClass ButtonBox
WidgetClass ButtonBox
ObjectClass ButtonBox

class BoxClass o => ButtonBoxClass o

Instances

ButtonBoxClass VButtonBox
ButtonBoxClass HButtonBox
ButtonBoxClass ButtonBox

castToButtonBox :: GObjectClass obj => obj -> ButtonBox
toButtonBox :: ButtonBoxClass o => o -> ButtonBox
data ButtonBoxStyle

Dictate the style that a ButtonBox uses to align it contents
Constructors

ButtonboxDefaultStyle |
ButtonboxSpread |
ButtonboxEdge |
ButtonboxStart |
ButtonboxEnd |
ButtonboxCenter |

Instances

Enum ButtonBoxStyle
Eq ButtonBoxStyle
Show ButtonBoxStyle

Methods
buttonBoxGetLayout :: ButtonBoxClass self => self -> IO ButtonBoxStyle
Retrieves the method being used to arrange the buttons in the button box.
buttonBoxSetLayout

:: ButtonBoxClass self |
=> self |
-> ButtonBoxStyle | `layoutStyle` - the new layout style.
-> IO () |
Changes the way buttons are arranged in their container.

buttonBoxSetChildSecondary

:: (ButtonBoxClass self, WidgetClass child) |
=> self |
-> child | `child` - a child of the button box widget
-> Bool | `isSecondary` - if `True`, the `child` appears in a secondary group of the button box.
-> IO () |

Sets whether `child` should appear in a secondary group of children. A typical use of a secondary child is the help button in a dialog.

This group appears after the other children if the style is `ButtonboxStart`, `ButtonboxSpread` or `ButtonboxEdge`, and before the other children if the style is `ButtonboxEnd`. For horizontal button boxes, the definition of before/after depends on direction of the widget (see widgetSetDirection). If the style is `ButtonboxStart` or `ButtonboxEnd`, then the secondary children are aligned at the other end of the button box from the main children. For the other styles, they appear immediately next to the main children.

buttonBoxGetChildSecondary

:: (ButtonBoxClass self, WidgetClass child) |
=> self |
-> child | `child` - a child of the button box widget
-> IO Bool | returns whether `child` should appear in a secondary group of children.

Returns whether `child` should appear in a secondary group of children.

- Available since Gtk+ version 2.4

Attributes
buttonBoxLayoutStyle :: ButtonBoxClass self => Attr self ButtonBoxStyle
How to layout the buttons in the box. Possible values are default, spread, edge, start and end. Default value: `ButtonboxDefaultStyle`
Child Attributes
buttonBoxChildSecondary :: (ButtonBoxClass self, WidgetClass child) => child -> Attr self Bool
If `True`, the child appears in a secondary group of children, suitable for, e.g., help buttons. Default value: `False`
Produced by Haddock version 2.4.2